#!/bin/bash
# filepath: c:\Users\atlas\Desktop\DevopsHealthcare\healthcare\migrate_db.sh

echo "Running database migrations..."

# Database connection details
DB_USER="root"  # Change if different
DB_PASS="root"  # Change if different
DB_HOST="localhost"
DB_PORT="3306"  # Change if using a different port

# Path to your schema file
SCHEMA_FILE="src/main/resources/schema.sql"

# Check if schema file exists
if [ ! -f "$SCHEMA_FILE" ]; then
    echo "Error: Schema file not found at $SCHEMA_FILE"
    exit 1
fi

# Execute the SQL script
echo "Applying schema from $SCHEMA_FILE..."
mysql -h$DB_HOST -P$DB_PORT -u$DB_USER -p$DB_PASS < $SCHEMA_FILE

# Check if the command was successful
if [ $? -eq 0 ]; then
    echo "Database migration completed successfully!"
else
    echo "Error: Database migration failed!"
    exit 1
fi

