package com.cardiff.client_project.controller.patient;

import com.cardiff.client_project.pojo.entity.Patient;
import com.cardiff.client_project.service.PatientService;
import com.cardiff.client_project.utils.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
@RequestMapping("/patient")
public class PatientController {
    @Autowired
    private PatientService patientService;

    /**
     * select all
     * @return
     */
    @PostMapping("/selectAll")
    public Result SelectAll(int hospitalId) {
        Result result = patientService.selectAllPatient(hospitalId);
        return result;
    }

    /**
     * fuzzy query
     * @param
     * @return
     */
    @PostMapping("/select")
    public Result selectByItem(@RequestBody Patient patient){
        System.out.println(patient);
        Result result = patientService.selectByItem(patient);
        return result;
    }

    /**
     * Update data
     * @param patient
     * @return
     */
    @PutMapping("/update")
    public Result updateById(@RequestBody Patient patient){
        System.out.println("update" + patient);
        Result result = patientService.update(patient);
        return result;
    }

    /**
     *add patient
     * @param
     * @return
     */
    @PostMapping("/insert")
    public Result insertPatientInform(@RequestBody Patient patient){
        System.out.println(patient);
        Result result= patientService.insertPatient(patient);
        System.out.println(result);
        return result;
    }

    /**
     *delete patient information by id
     * @param ids
     * @return
     */
    @DeleteMapping("/deletePatientById")
    public Result deletePatientById(@RequestBody List<Integer> ids){
        Result result = patientService.deleteById(ids, "hospital");
        return result;
    }
}