package com.cardiff.client_project.service.imp;

import com.cardiff.client_project.constant.Authority;
import com.cardiff.client_project.constant.ResponseCode;
import com.cardiff.client_project.mapper.HospitalMapper;

import com.cardiff.client_project.pojo.entity.Hospital;
import com.cardiff.client_project.pojo.vo.HospitalVO;
import com.cardiff.client_project.service.HospitalService;
import com.cardiff.client_project.utils.Result;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

@Service
public class HospitalServiceImpl implements HospitalService {

    @Autowired
    private HospitalMapper hospitalMapper;


    @Override
    public Result selectAllHospital() {
        List<Hospital> selectVOS = hospitalMapper.selectAllHospital();

        List<HospitalVO> hospitalVOS = new ArrayList<>();
        selectVOS.forEach(selectVO -> {
            HospitalVO hospitalVO = new HospitalVO();
            BeanUtils.copyProperties(selectVO, hospitalVO);

            // Set the corresponding status string according to status
            if (hospitalVO.getStatus() == 1) {
                hospitalVO.setStatus_str("ACTIVE");
            }
            if (hospitalVO.getStatus() == 0) {
                hospitalVO.setStatus_str("INACTIVE");
            }
            hospitalVOS.add(hospitalVO);
        });
        return Result.success(hospitalVOS);
    }


    @Override
    public Result selectByItem(Hospital hospital) {
        List<Hospital> selectVos = hospitalMapper.selectByItem(hospital);
        selectVos.forEach(selectVO -> {
            HospitalVO hospitalVO = new HospitalVO();
            BeanUtils.copyProperties(selectVO, hospitalVO);
        });
        if(!selectVos.isEmpty()){
            return Result.success(selectVos);
        }else {
            return Result.error(ResponseCode.ACCOUNT_NOT_EXISTS);
        }
    }
}
