function setupNavigation(currentPage) {
    const nav = `
        <nav class="top-nav">
            <a href="/superAdminView.html" class="nav-brand">Digital Insight for Health</a>
            <div class="nav-items">
                <a href="/superAdminView.html" class="nav-link ${currentPage === 'dashboard' ? 'active' : ''}">
                    <i class="fas fa-home"></i> Dashboard
                </a>
                <a href="/beds.html" class="nav-link ${currentPage === 'beds' ? 'active' : ''}">
                    <i class="fas fa-bed"></i> Beds
                </a>
                <a href="/CHApprovalSystem.html" class="nav-link ${currentPage === 'approvals' ? 'active' : ''}">
                    <i class="fas fa-check-circle"></i> Approvals
                </a>
                <div class="user-info">
                    <span class="user-name">${localStorage.getItem('name') || 'User'}</span>
                    <span class="user-role">${localStorage.getItem('type') || 'Guest'}</span>
                </div>
                <button class="sign-out" onclick="handleSignOut()">
                    <i class="fas fa-sign-out-alt"></i> Sign Out
                </button>
            </div>
        </nav>
        <div class="content-wrapper">
            <!-- Page content will go here -->
        </div>
    `;
    
    document.body.insertAdjacentHTML('afterbegin', nav);
}

function handleSignOut() {
    localStorage.clear();
    window.location.href = '/login.html';
}