package com.cardiff.client_project.mapper;

import com.cardiff.client_project.pojo.dto.HospitalDTO;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.autoconfigure.jdbc.AutoConfigureTestDatabase;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.ActiveProfiles;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

import static org.junit.jupiter.api.Assertions.*;

@SpringBootTest
@AutoConfigureTestDatabase(replace = AutoConfigureTestDatabase.Replace.NONE) // Use real DB
@ActiveProfiles("test") // Use test profile
@Transactional // Roll back transactions after each test
class NursingHomeMapperTest {

    @Autowired
    private NursingHomeMapper nursingHomeMapper;
    
    @Test
    void findAllNursingHomes_ShouldReturnHospitals() {
        // Act
        List<HospitalDTO> hospitals = nursingHomeMapper.findAllNursingHomes();
        
        // Assert
        assertNotNull(hospitals);
        // More assertions based on known test data
    }
    
    @Test
    void insertHospital_ShouldInsertAndReturnId() {
        // Arrange
        HospitalDTO hospital = new HospitalDTO();
        hospital.setName("Test Hospital");
        hospital.setLocation("Test Location");
        hospital.setPhone("1234567890");
        hospital.setTotalBeds(100);
        hospital.setAvailableBeds(50);
        hospital.setApprovalStatus("PENDING");
        
        // Act
        int result = nursingHomeMapper.insertHospital(hospital);
        
        // Assert
        assertEquals(1, result);
        assertNotNull(hospital.getId());
    }
    
    // Additional tests for other mapper methods
}